System API
System API for Scalix Cloud service status, liveness and readiness probes, and the live OpenAPI specification for diagnostics and monitoring.
REST API endpoints for System. 4 operations.
Get service status
plaintext
GET /api/v1/servicesReturns the operational status of Scalix Cloud services.
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Service status |
401 | Missing or invalid API key |
500 | Internal error |
operationId: getServicesStatus
Liveness probe
plaintext
GET /healthzReturns 200 while the gateway process is alive.
Auth: none
Responses
| Status | Description |
|---|---|
200 | Gateway is alive |
operationId: healthz
Get the OpenAPI spec
plaintext
GET /openapi.jsonReturns this OpenAPI specification document.
Auth: none
Responses
| Status | Description |
|---|---|
200 | This OpenAPI specification |
operationId: getOpenapiSpec
Readiness probe
plaintext
GET /readyzReturns 200 when the gateway is ready to serve traffic.
Auth: none
Responses
| Status | Description |
|---|---|
200 | Gateway is ready to serve traffic |
operationId: readyz